<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Mar 28 10:40:23 EDT 2016 -->
<TITLE>
net.sf.jftp.gui.tasks Class Hierarchy (JFtp)
</TITLE>

<META NAME="date" CONTENT="2016-03-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="net.sf.jftp.gui.tasks Class Hierarchy (JFtp)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../net/sf/jftp/gui/hostchooser/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../net/sf/jftp/net/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?net/sf/jftp/gui/tasks/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package net.sf.jftp.gui.tasks
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.Object<UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/AutoRemover.html" title="class in net.sf.jftp.gui.tasks"><B>AutoRemover</B></A><LI TYPE="circle">java.awt.Component (implements java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable)
<UL>
<LI TYPE="circle">java.awt.Container<UL>
<LI TYPE="circle">javax.swing.JComponent (implements java.io.Serializable)
<UL>
<LI TYPE="circle">javax.swing.AbstractButton (implements java.awt.ItemSelectable, javax.swing.SwingConstants)
<UL>
<LI TYPE="circle">javax.swing.JMenuItem (implements javax.accessibility.Accessible, javax.swing.MenuElement)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/BookmarkItem.html" title="class in net.sf.jftp.gui.tasks"><B>BookmarkItem</B></A></UL>
</UL>
<LI TYPE="circle">javax.swing.JInternalFrame (implements javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/BookmarkManager.html" title="class in net.sf.jftp.gui.tasks"><B>BookmarkManager</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/Displayer.html" title="class in net.sf.jftp.gui.tasks"><B>Displayer</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/HttpBrowser.html" title="class in net.sf.jftp.gui.tasks"><B>HttpBrowser</B></A> (implements javax.swing.event.HyperlinkListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/ImageViewer.html" title="class in net.sf.jftp.gui.tasks"><B>ImageViewer</B></A></UL>
<LI TYPE="circle">javax.swing.JPanel (implements javax.accessibility.Accessible)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="../../../../../net/sf/jftp/gui/framework/HPanel.html" title="class in net.sf.jftp.gui.framework"><B>HPanel</B></A><UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/AdvancedOptions.html" title="class in net.sf.jftp.gui.tasks"><B>AdvancedOptions</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/HttpDownloader.html" title="class in net.sf.jftp.gui.tasks"><B>HttpDownloader</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/ProxyChooser.html" title="class in net.sf.jftp.gui.tasks"><B>ProxyChooser</B></A> (implements java.awt.event.ActionListener)
</UL>
</UL>
</UL>
<LI TYPE="circle">java.awt.Window (implements javax.accessibility.Accessible)
<UL>
<LI TYPE="circle">java.awt.Dialog<UL>
<LI TYPE="circle">javax.swing.JDialog (implements javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="../../../../../net/sf/jftp/gui/framework/HFrame.html" title="class in net.sf.jftp.gui.framework"><B>HFrame</B></A><UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/AddBookmarks.html" title="class in net.sf.jftp.gui.tasks"><B>AddBookmarks</B></A> (implements java.awt.event.ActionListener, java.awt.event.WindowListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/Creator.html" title="class in net.sf.jftp.gui.tasks"><B>Creator</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/ExternalDisplayer.html" title="class in net.sf.jftp.gui.tasks"><B>ExternalDisplayer</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/NameChooser.html" title="class in net.sf.jftp.gui.tasks"><B>NameChooser</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/PathChanger.html" title="class in net.sf.jftp.gui.tasks"><B>PathChanger</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/RemoteCommand.html" title="class in net.sf.jftp.gui.tasks"><B>RemoteCommand</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/Remover.html" title="class in net.sf.jftp.gui.tasks"><B>Remover</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/RemoverQuery.html" title="class in net.sf.jftp.gui.tasks"><B>RemoverQuery</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/Renamer.html" title="class in net.sf.jftp.gui.tasks"><B>Renamer</B></A> (implements java.awt.event.ActionListener)
</UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/HostList.html" title="class in net.sf.jftp.gui.tasks"><B>HostList</B></A></UL>
</UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/HostInfo.html" title="class in net.sf.jftp.gui.tasks"><B>HostInfo</B></A><LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/LastConnections.html" title="class in net.sf.jftp.gui.tasks"><B>LastConnections</B></A><LI TYPE="circle">org.eclipse.swt.widgets.Widget<UL>
<LI TYPE="circle">org.eclipse.swt.widgets.Control (implements org.eclipse.swt.graphics.Drawable)
<UL>
<LI TYPE="circle">org.eclipse.swt.widgets.Scrollable<UL>
<LI TYPE="circle">org.eclipse.swt.widgets.Composite<UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="../../../../../net/sf/jftp/gui/tasks/NativeHttpBrowser.html" title="class in net.sf.jftp.gui.tasks"><B>NativeHttpBrowser</B></A></UL>
</UL>
</UL>
</UL>
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../net/sf/jftp/gui/hostchooser/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../net/sf/jftp/net/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?net/sf/jftp/gui/tasks/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
